DruStack
========

### DruStack - A Starting Distribution for Drupal Developer

[DruStack](http://drupal.org/project/drustack) is a freely available
packaged distribution of the open source Drupal system. A collection of
most common software from the Drupal community,
[DruStack](http://drupal.org/project/drustack) provides a quick on-ramp
to begin building Drupal websites.

[DruStack](http://drupal.org/project/drustack) integrated the
development for Drupal installation. The pre-configured modules make you
get a highly customized and total complete Drupal websites. You can get
your own ready-made Blog setup by default Drupal installation procedure.

DruStack replace most of the features and as a successor of [PantaRei
Siren](http://drupal.org/project/pantarei_siren) distribution.

### Features Highlight

-   Collection of 3rd party modules tested, verified and supported by
    [PantaRei Design](http://drupal.org/node/1741828).
-   Pre-configured with commonly used functionality, including testing
    user account, roles, permission, input filter, WYSIWYG, and even
    more.
-   Integrated with frequently-used 3rd party libraries, e.g.
    [CKEditor](http://ckeditor.com/), [HTML
    Purifier](http://htmlpurifier.org/),
    [Colorbox](http://colorpowered.com/colorbox/), [Code
    prettify](http://code.google.com/p/google-code-prettify/), etc.
-   Most setup managed by Features and Strongarm with drustack\_\*
    packages so you may rollback as default whenever required.

### Getting Start

If you are new with DruStack and hope to give a trial without any setup
overhead, please feel free to try DruStack on
[simplytest.me](http://simplytest.me/project/drustack/7.x-24.x).

If you hope to install DruStack locally, DruStack "Standard version" is
[available below](#downloads) (without some 3rd party libraries and
drustack\_\* packages). Just simply download it and install as like as
normal Drupal core.

If you are site builder that comfortable with
[drush](https://github.com/drush-ops/drush) make, you can also build the
DruStack "Full version" (include all 3rd party libraries and all
drustack\_\* packages) manually with our [install
script](#build-drustack.sh).

If you are developer, you can clone the DruStack "Development version"
with our [initialize script](#build-drustack-git.sh) from our [GitHub
project](https://github.com/pantarei/drustack). This version include the
complete code set of Drupal core, plus all 3rd party
modules/themes/libraries in GIT submodule style, so you can get start
with R&D and debug all in GIT style without additional overhead.

### Upgrade and Maintenance (CAUTION!! BACKUP BEFORE UPGRADE!!)

If you get start with DruStack "Full version", this [upgrade
script](#upgrade-drustack.sh) can help you to upgrade your code as
latest development version directly (ALWAYS remember to backup your
code/database before any upgrade).

If you get start with Drustack "Development version", this [upgrade
scrpit](#upgrade-drustack-git.sh) will help you checkout the correct GIT
hash tag as refer to latest changes.

Moreover, if you are developer who get start with Drustack "Development
version" and hope to debug/patch some GIT submodule, this [sync
script](#sync-drustack-git.sh) will help you checkout the correct
branch/tag as refer to DruStack make file changes.

### Helper scripts

#### Build DruStack "Full version" with "drush make" under current folder

`curl -s -L http://bit.ly/1e2i8Pp | bash`

#### Upgrade DruStack "Full version" with "drush make" under current folder

`curl -s -L http://bit.ly/I4JhqM | bash`

#### Initialize DruStack "Development version" with GIT under current folder

`curl -s -L http://bit.ly/19JTpv2 | bash`

#### Upgrade DruStack "Development version" with GIT under current folder

`curl -s -L http://bit.ly/1cHtWFw | bash`

#### Sync DruStack "Development version" GIT branch/tag with make file

`curl -s -L http://bit.ly/1aTdteJ | bash`

### Related modules

-   [DruStack Article](https://drupal.org/project/drustack_article)
-   [DruStack Blog](https://drupal.org/project/drustack_blog)
-   [DruStack Book Page](https://drupal.org/project/drustack_book)
-   [DruStack Commerce](https://drupal.org/project/drustack_commerce)
-   [DruStack Core](https://drupal.org/project/drustack_core)
-   [DruStack Devel](https://drupal.org/project/drustack_devel)
-   [DruStack Extra](https://drupal.org/project/drustack_extra)
-   [DruStack Forum Topic](https://drupal.org/project/drustack_forum)
-   [DruStack i18n](https://drupal.org/project/drustack_i18n)
-   [DruStack Basic Page](https://drupal.org/project/drustack_page)
-   [DruStack
    Performance](https://drupal.org/project/drustack_performance)
-   [DruStack Poll](https://drupal.org/project/drustack_poll)
-   [DruStack Search](https://drupal.org/project/drustack_search)
-   [DruStack SEO](https://drupal.org/project/drustack_seo)
-   [DruStack
    Simplenews](https://drupal.org/project/drustack_simplenews)
-   [DruStack Webform](https://drupal.org/project/drustack_webform)
-   [DruStack Workbench](https://drupal.org/project/drustack_workbench)
-   [DruStack WYSIWYG](https://drupal.org/project/drustack_wysiwyg)

### Author

-   Developed by [Edison Wong](http://drupal.org/user/33940).
-   Sponsored by [PantaRei Design](http://drupal.org/node/1741828).
